List tasks
Returns tasks the authenticated user has access to (i.e. tasks in teams they belong to). Default sort is newest first.
curl --request GET \
--url https://slog.ai/tasks \
--header 'slog-api-key: <api-key>'import requests
url = "https://slog.ai/tasks"
headers = {"slog-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'slog-api-key': '<api-key>'}};
fetch('https://slog.ai/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
{
"id": "task_01jqabcd1111",
"reference": "ENG-1",
"title": "Implement OAuth login",
"status": "IN_PROGRESS",
"priority": "HIGH",
"description": null,
"dueDate": "2026-06-15",
"teamId": "team_01jqteam0001",
"projectId": "proj_01jqproj0001",
"parentId": null,
"assigneeId": "user_01jquser0001",
"assignee": {
"id": "user_01jquser0001",
"name": "Alex Johnson",
"email": "[email protected]",
"avatarUrl": null
},
"labels": [],
"createdAt": "2026-05-01T10:00:00.000Z",
"updatedAt": "2026-05-10T14:30:00.000Z"
},
{
"id": "task_01jqabcd2222",
"reference": "ENG-2",
"title": "Write API documentation",
"status": "TODO",
"priority": "MEDIUM",
"description": "Cover all public endpoints with examples.",
"dueDate": null,
"teamId": "team_01jqteam0001",
"projectId": null,
"parentId": null,
"assigneeId": null,
"assignee": null,
"labels": [
{
"id": "label_01jqlabel001",
"name": "docs",
"color": "#3B82F6"
}
],
"createdAt": "2026-05-12T09:00:00.000Z",
"updatedAt": "2026-05-12T09:00:00.000Z"
}
],
"pagination": {
"limit": 50,
"nextCursor": null
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required"
}
}Authorizations
API key obtained from the Slog dashboard or returned by the signup/invite-redeem
flows. Pass as the slog-api-key header.
Query Parameters
Comma-separated list of fields to return. Supports brace notation for nested
objects: fields=id,title,assignee{name,email}. When omitted, a default set
of fields is returned.
Maximum number of results to return per page.
1 <= x <= 250Opaque cursor from the nextCursor field of a previous response. Pass this to
fetch the next page.
Structured filter using bracket notation: filter[<op>][<field>]=<value>.
Supported operators:
eq— equalsneq— not equalsgt/gte— greater than / greater than or equallt/lte— less than / less than or equalcontains— case-insensitive substring matchstartsWith— case-insensitive prefix matchin— one of (repeat the parameter for multiple values)
Examples:
filter[eq][status]=TODO
filter[contains][title]=auth
filter[in][status]=TODO&filter[in][status]=IN_PROGRESS
filter[gte][dueDate]=2026-01-01
Show child attributes
Show child attributes
Sort using bracket notation: sort[<field>]=asc|desc.
Example: sort[createdAt]=desc
Show child attributes
Show child attributes
